ListTeamMembers
/api/v1/teams/{team}/membersList all members on a team.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/teams/{team}/members"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/teams/{team}/members"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredName of the team to list the members of. Can provide the name
teams/-to list across all teams.Format:
teams/{team}
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)The maximum number of teams to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListTeamMemberscall.filterstringFilter that can be used to search for memberships by values other than the team. This currently only supports searching by the member.
filter=member="users/{user}"orfilter=member="users/me"showDeletedbooleanIf true, include memberships that reference deleted users or teams in the response.
Response
Section titled “Response”200ListTeamMembersResponseteamMembersTeamMember[]The members of the team.
namestringAssigned by Oblique. The name of the membership. Memberships are always child API objects of a given team. The
{member}component is an arbitrary identifier, and doesn’t correspond to the actual member.Format:
teams/{team}/members/{member}managementManagementHow this membership is managed. Inherited from the parent team: memberships of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlymemberstringrequiredThe name of the member. This currently only supports users, but will be expanded to support teams as well. Immutable after creation.
Format:
users/{user}justificationstringWhy the user is part of the team.
requeststringread-onlyIf present, the request that most recently created or updated this membership.
Format:
requests/{request}
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |